Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515203 - /subsystem=naming/binding of type external-context is not available in JON
Summary: /subsystem=naming/binding of type external-context is not available in JON
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.9
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: CR01
: One-off release
Assignee: Michael Burman
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On:
Blocks: 1543522
TreeView+ depends on / blocked
 
Reported: 2017-11-20 11:39 UTC by Filip Brychta
Modified: 2019-01-31 15:54 UTC (History)
3 users (show)

Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1515201
Environment:
Last Closed: 2019-01-31 15:54:10 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1477945 None CLOSED The environment and cache fields are not shown on the JBoss ON page when viewing the configuration of /subsystem=naming/... 2019-03-26 23:17:54 UTC
Red Hat Bugzilla 1515201 None CLOSED /subsystem=naming/binding of type external-context is not available in JON 2019-03-26 23:17:54 UTC
Red Hat Bugzilla 1652063 None NEW Creation of /subsystem=naming/binding resource with Environment field fails 2019-03-26 23:17:54 UTC

Internal Links: 1477945 1515201 1652063

Description Filip Brychta 2017-11-20 11:39:59 UTC
+++ This bug was initially created as a clone of Bug #1515201 +++

Description of problem:
Following types of binding are available in EAP:
simple            object-factory    lookup            external-context

but JON only supports:
simple            object-factory    lookup

Version-Release number of selected component (if applicable):
JON 3.3.9. EAP plugin pack 05

How reproducible:
Always

Steps to Reproduce:
1.  Navigate to JBoss ON UI -> EAP 6 resource -> Subsystem -> naming -> Create Child -> Binding
2. File name and click on Next

Actual results:
Only simple, object-factory and lookup binding types are available.

Expected results:
All 4 binding types should be supported

Additional info:
You can list all supported binding types e.g. in jboss-cli:
/subsystem=naming/binding=java\:global\/a:read-resource-description

Comment 1 Filip Brychta 2017-11-20 11:58:24 UTC
You can create simple binding following way:
/subsystem=naming/binding="java:/global/a":add(binding-type=simple, value=100)

Comment 2 Michael Burman 2018-11-09 12:26:08 UTC
Available in the master:

commit 85af3a37d6733a44de4ea4462260b33f77043bb5 (HEAD -> master, upstream/master)
Author: Michael Burman <miburman@redhat.com>
Date:   Fri Nov 9 14:25:22 2018 +0200

    [BZ 1515201] Add external-context to EAP6 plugin as a naming binding option

Comment 3 Michael Burman 2018-11-09 12:26:34 UTC
Previous one is wrong commit, this is the correct for EAP6:

commit 7219c74f89ef0ad8a20088cd73ed6f233eadd499
Author: Michael Burman <miburman@redhat.com>
Date:   Fri Nov 9 14:22:44 2018 +0200

    [BZ 1515203] Add external-context to EAP6 plugin as a naming binding option

Comment 5 Simeon Pinder 2018-11-21 11:55:14 UTC
Moving to ON_QA. See https://bugzilla.redhat.com/show_bug.cgi?id=1543522#c1 for test setup gory details.


Note You need to log in before you can comment on or make changes to this bug.